Problem with update Openhabian

Tags: #<Tag:0x00007f433aba97d8>

Hi There,

I’m having problem with update Openhab to v2.5.5

All known methods described in this forum didn’t solve it.

Reading package lists… Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/openhab.jfrog.io_openhab_openhab-linuxpkg_dists_unstable_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

Is this repository ok for openhabian?

“echo ‘deb https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable main’ | sudo tee /etc/apt/sources.list.d/openhab2.list”

Lists looks ok for me:
image

Only developers are meant to be running snapshot builds and all issues are discussed on GitHub along with all the other development discussions.

Unstable development issues are not discussed here in the user forum. Many developers do not use this forum.

Nope I mean unstable. I’m testing it in my configuration.

Unstable is the name of the repository containing snapshot versions. My original answer applies.

You likely want the stable repository. There are no current testing milestone releases.

image
I want to install above verion

from
image

This is not entirely true and I disagree.

The first thing to do is to find out whether it is actually a bug.

There is an excellent tutorial how to do.

.
The user should perform step 1. One of the “tier one helpers” finds out (in step 2) whether the user has made a mistake or whether it is a bug. If it is actually a bug, he will be asked to open an issue on Github (steps 3 - 7).

2 Likes

I was also wondering why its not working to update to 2.5.5

Maybe its because its not listed here https://openhab.jfrog.io/openhab/openhab-linuxpkg/pool/main/ ?

For SNAPSHOTs it is.
You fail to explain what install method(s) you tried.
See below that there is no package named 2.5.5-whatever. Probably simply because it just does not exist (yet) as 2.5.4 was released only 3 days ago.
apt-get install openhab2 should always get you the latest available version provided you’ve put the repo in place.

[22:02:05] openhabian@openhabianpi:~$ cat /etc/apt/sources.list.d/openhab2.list
#deb https://dl.bintray.com/openhab/apt-repo2 stable main
deb https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable main

[22:02:19] openhabian@openhabianpi:~$ apt-cache madison openhab2|head
  openhab2 |    2.5.4-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200418201453-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200417205036-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200416131516-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200414200815-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200413164225-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200409140620-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 | 2.5.4~20200408141515-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 |    2.5.3-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages
  openhab2 |    2.5.2-1 | https://openhab.jfrog.io/openhab/openhab-linuxpkg unstable/main armhf Packages

I’ve tried all methods.

apt-get install openhab2

sudo apt-get update

sudo apt-get update && sudo apt-get upgrade

Openhabian menu -> openhabian related -> openhab snapshot

If there is no repo - it sholdnt update it thats clear but without error for sure.

Hi there, unstable builds are daily builds for developers and are ehm… unstable :wink:
Said that, such errors might happen and they shall be rather asked on github.

Regarding this particular issue, the error message is rather clear: “E: Encountered a section with no Package: header”
if you look into

/var/lib/apt/lists/openhab.jfrog.io_openhab_openhab-linuxpkg_dists_unstable_main_binary-i386_Packages

you will see, that there is a section without “Package:” at the end of the file. The whole section is missing for the last package.

cheers
simon :slight_smile:

1 Like

That’s a good technical explanation, however, this is breaking the entire software update system on two machines I run. I can’t use the stable path because it doesn’t include important information for several ZWave devices I run, and the stable path is not updated frequently enough.

basically the only way I can get the apt system to run right is to delete the file /var/lib/apt/lists/openhab.jfrog.io_openhab_openhab-linuxpkg_dists_unstable_main_binary-i386_Packages before running an update.

There is a blank line in the file /var/lib/apt/lists/openhab.jfrog.io_openhab_openhab-linuxpkg_dists_unstable_main_binary-i386_Packages in the last entry before the line beginning with “Filename:” Delete that blank line and the update works. Note that until this is addressed by the developers, you will have to repeat this line deletion every time you run an apt update.

Package: openhab2-addons
Source: openhab2-addons
Version: 2.5.4-1
Section: java
Priority: optional
Architecture: all
Depends: openhab2
Conflicts: openhab2-online, openhab2-offline
Installed-Size: 189391
Maintainer: https://community.openhab.org
Description: openhab2-addons
Linux installation package for openHAB 2 addons.
Homepage: www.openhab.org
Filename: pool/main/2.5.4/openhab2-addons_2.5.4-1_all.deb
SHA1: 1c49315aa07db8d14e6b428ab80a6dd66f066249
SHA256: d7fe4c573f8e74fbea85fb3f25f97424b0be168d92801096ab62cf8f807ceba3
Size: 193696080

Filename: pool/main/2.5.4/openhab2_2.5.4-1_all.deb
SHA1: b301c3a511c54a41168cc8f6e1e7cf47637ca8c0
SHA256: 1a24fa732d348e6b6388614c8c58b94da80af24e7ad4260e9550a38017448b9f
Size: 82996500

If you delete the blank line, the checksums of
Filename: pool/main/2.5.4/openhab2_2.5.4-1_all.deb
will belong to previous section.
So either delete the 4 last lines or add missing section part, see amd64 file.
AND YES, you have to do this action after every
sudo apt-get update
or make a script doing that for you. Anyways, a bit of hacking.

OR you post it to github and it will get fixed :slight_smile:

amd64 file
https://openhab.jfrog.io/openhab/openhab-linuxpkg/dists/unstable/main/binary-amd64/Packages

Missing section part(most probably):
Package: openhab2
Source: openhab2
Version: 2.5.4-1
Section: java
Priority: optional
Architecture: all
Depends: adduser
Recommends: zip, unzip
Suggests: zulu-8 | zulu-embedded-8 | oracle-java8-installer | openjdk-8-jdk-headless
Conflicts: openhab2-online, openhab2-offline
Installed-Size: 92563
Maintainer: https://community.openhab.org
Description: openhab2
Linux installation package for openHAB 2.
Homepage: www.openhab.org

That is nonsense.The latest stable release is 4 days old and contains ANY zwave device that’s in the database at time of build.

@benjy could you pls have a look?

Hi all,

I have fixed the issue, which I believe was caused by an error on the server. Let me know if you’re still having problems.

In future, please rememeber to report issues concerning the Linux repositories and the openhab2* apt/yum packages at https://github.com/openhab/openhab-linuxpkg.

Thanks,
Ben

That may be true now, but rewind to several months ago, I submitted two new ZWave devices to the database. They were quickly available in the unstable version, but took a long time to appear in stable (so long that I switched to unstable and never switched back).

Glad to hear everything is up to date and updating in real time; maybe I’ll switch back to stable now.

It has been fixed :slight_smile:
Thank you all

@Benjy

This topic was automatically closed 41 days after the last reply. New replies are no longer allowed.